Bug 118540 - lpadmin doesn't complain when provided bogus ppd file
Summary: lpadmin doesn't complain when provided bogus ppd file
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-17 16:24 UTC by Joshua Jensen
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-25 10:26:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Jensen 2004-03-17 16:24:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040204

Description of problem:
This command should throw an error:

/usr/sbin/lpadmin -p kprinter -v <whatever> -D "Kprinter GUI" -E -L
<whatever> -m xyz123

There is no ppd description file called xyz123, yet the printer entry
is still created in CUPS' printer.conf file.  However, there is no
corresponding ppd file created in /etc/cups/ppd.

This causes GNOME to say, whenever bringing up a GNOME print window:

"GnomePrintCupsPlugin-WARNING **: The CUPS printer kprinter could not
be created

Model not found, discarding config"


lpadmin should complain about xyz123 not being found, instead of
silently mis-configuring cups by only providing a partially correct setup.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Command giving above

Additional info:

Comment 1 Joshua Jensen 2004-06-15 18:35:06 UTC
Any progress on this?  This shouldn't be too hard to fix

Comment 2 Tim Waugh 2004-06-25 10:26:48 UTC
This works correctly (i.e. gives an error) with cups-1.1.20, as found
in Fedora Core 2.  This fix will be included in a future version of
Red Hat Enterprise Linux.

Thanks for your report.

Comment 3 Joshua Jensen 2004-06-25 15:08:45 UTC
Thanks Tim!


Note You need to log in before you can comment on or make changes to this bug.